### Method

# AyatanaAppIndicatorGlib Indicator set_secondary_activate_target

#### Declaration

    void
    app_indicator_set_secondary_activate_target (
      AppIndicator* self,
      const gchar* action
    )

#### Description

Set the `action` to be activated when a secondary activation event (i.e. a middle-click) is emitted over the `AppIndicator` icon/label.

For the `action` to get activated when a secondary activation occurs in the `AppIndicator`, it must be defined as a stateless `GAction` with no parameter, it needs to be enabled and associated with an item of the `AppIndicator:menu`.

Setting `action` to `NULL` disables this feature.

#### Parameters

`action`

  Type: `const gchar*`

  The action to be activated on secondary activation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.